program StaticNet;
{$D- R- Q-}

(* This is the main program. It calls a function in a DLL (TestDllNet.Dll)
  The DLL is linked statically.

  IMPORTANT:
  You can either measure a Program, a DLL or both at the same time.

  I.   If you measure a program only, only program-units need to be in the
       profiler search path.

  II.  If you measure a DLL only, only DLL-units need to be in the
       profiler search path. No online operation window availlable !
       (see IV).

  III. If you measure a program and a DLL, both program-units and DLL-units need
       to be in the profiler search path. DLL as well as program need to have
       identical search path.

  IV.  If you want to measure the DLL only but also want to have an online
       operation window, proceed like III but do not define the compiler
       symbol PROFILE in the compiler setting but define it in the DPR-
       file of the program by inserting {$DEFINE PROFILE } in the DPR-file.

  The simplest way to process these three cases is the following:

  1. Case I - Program only:
    1.a  Compile the DLL WITHOUT a defined the compiler symbol PROFILE.
    1.b  Compile the program WITH a defined the compiler symbol PROFILE.

  2. Case II and IV - DLL only:
    2.a  Compile the DLL WITH a defined the compiler symbol PROFILE.
    2.b  Compile the program WITHOUT a defined the compiler symbol PROFILE.

  3. Case III - Program and DLL:
    3.a  Compile the DLL WITH a defined the compiler symbol PROFILE.
    3.b  Compile the program WITH a defined the compiler symbol PROFILE.

  4. Let the program run.

  5. Depending on the case, you'll find the procedure runtimes of either
     DLL or program or both in the result file.

  CAUTION:
    EXE-file and  DLL have to be stored into the same directory.

    Your compiled DCU-files can be stored anywhere you like.
*)

{%DelphiDotNetAssemblyCompiler '$(SystemRoot)\microsoft.net\framework\v1.1.4322\System.dll'}
{%DelphiDotNetAssemblyCompiler '$(SystemRoot)\microsoft.net\framework\v1.1.4322\System.Data.dll'}
{%DelphiDotNetAssemblyCompiler '$(SystemRoot)\microsoft.net\framework\v1.1.4322\System.Drawing.dll'}
{%DelphiDotNetAssemblyCompiler '$(SystemRoot)\microsoft.net\framework\v1.1.4322\System.XML.dll'}
{%DelphiDotNetAssemblyCompiler 'e:\delphi\d7\borland shared\bds\shared assemblies\2.0\Borland.Vcl.dll'}
{%DelphiDotNetAssemblyCompiler 'e:\delphi\d7\borland shared\bds\shared assemblies\2.0\Borland.Delphi.dll'}
{%DelphiDotNetAssemblyCompiler 'E:\delphi\D7\Borland Shared\BDS\Shared Assemblies\2.0\Borland.VclRtl.dll'}

uses
  System.Reflection,
  System.Runtime.CompilerServices,
  SysUtils,
  Forms,
  StatNet in 'StatNet.pas' {Form1};

{$R *.res}

{$REGION 'Program/Assembly Information'}
//
// General Information about an assembly is controlled through the following
// set of attributes. Change these attribute values to modify the information
// associated with an assembly.
//

[assembly: AssemblyDescription('')]
[assembly: AssemblyConfiguration('')]
[assembly: AssemblyCompany('')]
[assembly: AssemblyProduct('')]
[assembly: AssemblyCopyright('')]
[assembly: AssemblyTrademark('')]
[assembly: AssemblyCulture('')]

// The Delphi compiler controls the AssemblyTitleAttribute via the ExeDescription.
// You can set this in the IDE via the Project Options.
// Manually setting the AssemblyTitle attribute below will override the IDE
// setting.
// [assembly: AssemblyTitle('')]


//
// Version information for an assembly consists of the following four values:
//
//      Major Version
//      Minor Version 
//      Build Number
//      Revision
//
// You can specify all the values or you can default the Revision and Build Numbers 
// by using the '*' as shown below:

[assembly: AssemblyVersion('1.0.*')]

//
// In order to sign your assembly you must specify a key to use. Refer to the 
// Microsoft .NET Framework documentation for more information on assembly signing.
//
// Use the attributes below to control which key is used for signing. 
//
// Notes: 
//   (*) If no key is specified, the assembly is not signed.
//   (*) KeyName refers to a key that has been installed in the Crypto Service
//       Provider (CSP) on your machine. KeyFile refers to a file which contains
//       a key.
//   (*) If the KeyFile and the KeyName values are both specified, the 
//       following processing occurs:
//       (1) If the KeyName can be found in the CSP, that key is used.
//       (2) If the KeyName does not exist and the KeyFile does exist, the key 
//           in the KeyFile is installed into the CSP and used.
//   (*) In order to create a KeyFile, you can use the sn.exe (Strong Name) utility.
//       When specifying the KeyFile, the location of the KeyFile should be
//       relative to the project output directory which is
//       Project Directory\bin\<configuration>. For example, if your KeyFile is
//       located in the project directory, you would specify the AssemblyKeyFile 
//       attribute as [assembly: AssemblyKeyFile('..\\..\\mykey.snk')]
//   (*) Delay Signing is an advanced option - see the Microsoft .NET Framework
//       documentation for more information on this.
//
[assembly: AssemblyDelaySign(false)]
[assembly: AssemblyKeyFile('')]
[assembly: AssemblyKeyName('')]
{$ENDREGION}

[STAThread]
begin
  Application.Initialize;
  Application.CreateForm(TForm1, Form1);
  Application.Run;
end.
